//
//  SymbolController.m
//  IDLExplorer
//
//  Created by Victor on 1/23/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "SymbolController.h"
#import "StockWatchController.h"

@implementation SymbolController

- initWithController:(StockWatchController*)ctrl
{
	if(self = [super initWithNibName:@"AddSymbol" bundle:[NSBundle bundleForClass:[self class]]]){
		_controller = ctrl;
	}
	return self;
}

- (void)didReceiveMemoryWarning
{
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload 
{
}


- (void)dealloc 
{
    [super dealloc];
}

- (void) add:sender
{
	[_controller addSymbolWithName:symbolField.text];
	[self dismissModalViewControllerAnimated:YES];
}

- (void) cancel:sender
{
	[self dismissModalViewControllerAnimated:YES];
}

- (BOOL)textFieldShouldReturn:(UITextField *)textField
{
	[textField resignFirstResponder];
	return YES;
}

@end
